%define upstream_name	 Apache-SSLLookup
%define upstream_version 2.00_04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	Hooks for various mod_ssl functions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{name}/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GE/GEOFF/Apache-SSLLookup-%{upstream_version}.tar.gz
Patch0:		try_fixing_build.diff

BuildRequires:	apache-mod_perl-devel
BuildRequires:	apr-devel
BuildRequires:	perl-devel
BuildRequires:  perl-Apache-Test


%description
Apache::SSLLookup is a glue layer between Perl handlers and the
mod_ssl public API.  under normal circumstances, you would use
subprocess_env() to glean information about mod_ssl.
However, this is only possible after mod_ssl runs its fixups,
that is, Perl handlers can only accurately check the
subprocess_env table for mod_ssl information in the
PerlResponsePhase or later.
This module allows you to query mod_ssl directly via its public
C API at any point in the request cycle.  but without using C,
of course.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
export CFLAGS="%{optflags}"

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CCFLAGS="$CCFLAGS `apr-1-config --includes`"

#%{__make} test

%install
%makeinstall_std

%files
%defattr(0644,root,root)
#%doc Changes README
%{perl_vendorarch}/auto/Apache/SSLLookup/*
%{perl_vendorarch}/Apache/*
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.0_400-15.mga6
+ Revision: 1022531
- Rebuild for perl 5.22.2

* Sun Feb 28 2016 tv <tv> 2.0_400-14.mga6
+ Revision: 980325
- patch 0: try fixing build

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 2.0_400-13.mga6
+ Revision: 844164
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.0_400-12.mga5
+ Revision: 740794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0_400-11.mga5
+ Revision: 683493
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.0_400-10.mga5
+ Revision: 632141
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0_400-9.mga4
+ Revision: 525562
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.0_400-8.mga4
+ Revision: 431365
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0_400-7.mga3
+ Revision: 362981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.0_400-6.mga3
+ Revision: 250267
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.0_400-5.mga2
+ Revision: 103961
- perl 5.14

  + jquelin <jquelin>
    - perl 5.14

* Mon Jan 24 2011 erwan <erwan> 2.0_400-3.mga1
+ Revision: 37919
- Fixing buildrequires

  + jquelin <jquelin>
    - mageia rebuild
    - imported package perl-Apache-SSLLookup


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.0_400-3mdv2011.0
+ Revision: 555665
- rebuild

  + Sandro Cazzaniga <kharec@mandriva.org>
    - rebuild

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.0_400-1mdv2010.1
+ Revision: 504566
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.00_04-6mdv2010.0
+ Revision: 430258
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.00_04-5mdv2009.0
+ Revision: 255286
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 2.00_04-3mdv2008.1
+ Revision: 151820
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.00_04-2mdv2008.0
+ Revision: 66861
- misc spec file fixes


* Mon Oct 31 2005 Arnaud Desmons <adesmons@mandriva.org> 2.00_04-1mdk
- Initial specfile

